Этот раздел было бы вернее назвать «Пожеланиями к системе», или даже «То, что вам будет необходимо для работы».

Для операционной системы прямых ограничений нет, кроме того, что на ней должен работать веб сервер, PHP и база данных MySQL.

Трекер написан на языке PHP и требует для работы PHP модуль сервера или его CGI версию. Кроме того, вам понадобится автоматизированно запускать PHP скрипты c помощью crontab и иногда вручную через коммандную строку (SSH/shell доступ). 

Для запуска скриптов через коммандную строку вам надо будет использовать специальную CLI версию PHP (это отдельный файл, который скорее всего уже есть в вашем дистрибутиве PHP — если вы пользуетесь PHP версии 4.3.0 или выше).

Для автоматизированного запуска на юникс системах (linux, freebsd и другие) вам послужит crontab, а на платформе Windows – Scheduler. 

PHP должен поддерживать короткие таги (short tags <??>) и иметь модуль соединения с базой данных MySQL (обычно этот модуль установлен по умолчанию).

Желательно так же иметь модули cURL и iconv. Их отсутствие несколько ограничит функциональность программы.

Zend Optimizer рекомендован, но не обязателен.

База данных MySQL обязательна (в ней хранится вся статистика). Версия базы >= 4.1. Вы можете пользоваться версией 4.0, но это ограничит функциональность «Воронок».

Для базы данных должно быть выделено как можно больше оперативной памяти.

Кроме того, в большинстве случаев для учета продаж вам понадобится SSL зеркало трекера. Ваш сервер должен будет поддерживать защищенное соединение по https.

Итак:

  1. Любая операционная система при условии, что соблюдаются все требования ниже.
  2. Любой сервер, работающий с PHP. Apache (рекомендуется), Microsoft IIS. 
  3. PHP >= 4.0.3 (MySQL, CLI, curl, iconv, short tags).
  4. MySQL >= 4.0 
  5. SSL (рекомендуется) 
  6. Crontab или его аналоги (настоятельно рекомендуется) 
  7. Современный браузер для работы в программе: IE >= 6, FF >= 1.5, Opera >= 9, Safari >= 3.

Personal $79.95
Merchant $129.95
Agency $299.95